package com.flossom.common.core.mapper;

import com.flossom.common.core.domain.entity.WxInstrumentMode;

import java.util.List;

/**
 * 仪器与模式的关联Mapper接口
 *
 * @author flossom
 * @date 2024-01-17
 */
public interface WxInstrumentModeMapper {
    /**
     * 查询仪器与模式的关联
     *
     * @param id 仪器与模式的关联主键
     * @return 仪器与模式的关联
     */
    public WxInstrumentMode selectWxInstrumentModeById(Long id);

    /**
     * 查询仪器与模式的关联列表
     *
     * @param wxInstrumentMode 仪器与模式的关联
     * @return 仪器与模式的关联集合
     */
    public List<WxInstrumentMode> selectWxInstrumentModeList(WxInstrumentMode wxInstrumentMode);

    /**
     * 新增仪器与模式的关联
     *
     * @param wxInstrumentMode 仪器与模式的关联
     * @return 结果
     */
    public int insertWxInstrumentMode(WxInstrumentMode wxInstrumentMode);

    /**
     * 修改仪器与模式的关联
     *
     * @param wxInstrumentMode 仪器与模式的关联
     * @return 结果
     */
    public int updateWxInstrumentMode(WxInstrumentMode wxInstrumentMode);

    /**
     * 删除仪器与模式的关联
     *
     * @param id 仪器与模式的关联主键
     * @return 结果
     */
    public int deleteWxInstrumentModeById(Long id);

    /**
     * 批量删除仪器与模式的关联
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWxInstrumentModeByIds(Long[] ids);

    public int deleteByInstrumentId(Long instrumentId);

}
